# Uses of Class
org.eclipse.birt.report.model.api.IncludedCssStyleSheetHandle

Packages that use IncludedCssStyleSheetHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IncludedCssStyleSheetHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IncludedCssStyleSheetHandle
Modifier and Type
Method
Description
`IncludedCssStyleSheetHandle`
AbstractThemeHandle.`findIncludedCssStyleSheetHandleByName(String fileName)`
Deprecated.
`IncludedCssStyleSheetHandle`
AbstractThemeHandle.`findIncludedCssStyleSheetHandleByProperties(String fileName, String externalCssURI, boolean useExternalCss)`
Find the included css style sheet handle based on properties
Methods in org.eclipse.birt.report.model.api with parameters of type IncludedCssStyleSheetHandle
Modifier and Type
Method
Description
`boolean`
AbstractThemeHandle.`canRenameCss(IncludedCssStyleSheetHandle handle, String newFileName)`
Deprecated.
`boolean`
AbstractThemeHandle.`canRenameCssByProperties(IncludedCssStyleSheetHandle handle, String newFileName, String externalCssURI, boolean useExternalCss)`
Verify if the css could be renamed by property
`void`
AbstractThemeHandle.`renameCss(IncludedCssStyleSheetHandle handle, String newFileName)`
Deprecated.
`void`
AbstractThemeHandle.`renameCssByProperties(IncludedCssStyleSheetHandle handle, String newFileName, String externalCssURI, boolean useExternalCss)`
Rename css properties based on properties